Bug 17023 - installing to extended partition fails, worked in 6.2
installing to extended partition fails, worked in 6.2
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-28 00:19 EDT by A.G. Russell
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-29 12:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A.G. Russell 2000-08-28 00:19:35 EDT
Under previous versions on new disk would use text mode, 
use fdisk,
create 10meg Dos Fat16 partitions
use the rest of the disk for extended partition
as logical partitions create the following:
create root"/"    256meg
swap              256meg
            /tmp  256meg
            /usr  2.5gig
            /var  256meg
            /x    1gig

write it out,
backup
use diskdruid to set the names
say ok
Select install all
format all filesystems, check for defects on all
takes off formating "/" and always works.

installing with Winston(RC1)use the previous and
after it takes off formating "/" get the following:

This from the diskette dump:
--------------------start of anacdump.txt---------------------------------
Traceback (innermost last):
  File "/usr/bin/anaconda", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1028, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1464, in 
doInstall
    if self.method.systemMounted (self.fstab, self.instPath, 
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/image.py", line 46, in 
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace()[0][0] + \
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/fstab.py", line 247, in 
filesystemSpace
    space[mntpoint] = isys.fsSpaceAvailable(mntpoint)
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
fsystem: /x

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6
-------------------------end of anacdump.txt----------------------------

if I use a primary partition the install will work up till 
setup for X ask for monitor type.
Comment 1 A.G. Russell 2000-08-28 00:24:30 EDT
This was done on two machines, 

2way xeon 550mhz 1 meg cache supermicro motherboard,
640meg of memory, 36gig 10000 rpm u160 scsi drive.

amd 450mhz 128k cache, asus motherboard
64meg of memory, 4gig IDE drive.

same ethernet and video card,
realsys 8139
s3virge 4meg
Comment 2 Michael Fulbright 2000-08-29 12:00:13 EDT
This was fixed by a update disk for RC1.

Note You need to log in before you can comment on or make changes to this bug.